<%@ page language="C#" autoeventwireup="true" inherits="fckeditor_fck_word, v5star.Web" theme="" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>WordToHtml</title>

    <script src="editor/dialog/common/fck_dialog_common.js" type="text/javascript"></script>

    <script type="text/javascript">

var oEditor = window.parent.InnerDialogLoaded() ;

// Gets the document DOM
var oDOM = oEditor.FCK.EditorDocument ;

// Fired when the window loading process is finished. It sets the fields with the
// actual values if a table is selected in the editor.
window.onload = function()
{
	//oEditor.FCKLanguageManager.TranslatePage(document);
    var docnObj=document.getElementsByName("ctl03");
    docnObj[0].style.display = "none";

	window.parent.SetOkButton( true ) ;
	window.parent.SetAutoSize( true ) ;
}

// Fired when the user press the OK button
function Ok()
{
    var oActiveEl = oEditor.FCK.EditorDocument.createElement('SPAN');
    oActiveEl.innerHTML = GetE('DocContent').value ;
    oEditor.FCKUndo.SaveUndoStep();
    oActiveEl = oEditor.FCK.InsertElement(oActiveEl);

    return true;
}
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <div style="margin:auto;">
            <aspx:Upload ID="Upload1" runat="server" Ext=".doc" FileSize="4096" />
            &nbsp;<asp:Button ID="btnUpload"
                runat="server" OnClick="btnUpload_Click" Text="导入" /><br />
            <textarea id="DocContent" style="width: 540px;" cols="20" runat="server" rows="20"></textarea><br />
        </div>
    </form>
</body>
</html>
